// ignore_for_file: unnecessary_statements, avoid_print
import 'package:l/l.dart';

void main() {
  // Broadcast stream instantly receiving logs.
  l.stream.forEach((log) => print('* ${log.level}'));

  // Middleware queue, functions are called
  // at the time of log processing
  l.interceptors.addAll(<Future<LogMessage> Function(LogMessage)>[
    (log) async {
      print('# ${log.date}');
      return log;
    },
    (log) async {
      print('# ${log.message}');
      return log;
    },
  ]);

  l < 'info msg';
  l << 'debug msg';
}
